local jtac1 = Unit.getByName('JTAC-1-1')
local target1 = Unit.getByName('SA-19-1')
local ray1 = Spot.createLaser(jtac1, {x = 0, y = 1, z = 0}, target1:getPoint(), 2111)
local IR1 = Spot.createInfraRed(jtac1, {x = 0, y = 1, z = 0}, target1:getPoint())

local function updateRay1()
       if Object.isExist(target1) then
           ray1:setPoint(target1:getPoint())
           IR1:setPoint(target1:getPoint())
           timer.scheduleFunction(updateRay1, {}, timer.getTime() + 0.5)
       else
           ray1:destroy()
           IR1:destroy()
       end
end
timer.scheduleFunction(updateRay1, {}, timer.getTime() + 0.5)