local jtac2 = Unit.getByName('JTAC-2-1')
local target2 = Unit.getByName('SA-1-1')
local ray2 = Spot.createLaser(jtac2, {x = 0, y = 1, z = 0}, target2:getPoint(), 2111)
local IR2 = Spot.createInfraRed(jtac2, {x = 0, y = 1, z = 0}, target2:getPoint())

local function updateRay2()
       if Object.isExist(target2) then
           ray2:setPoint(target2:getPoint())
           IR2:setPoint(target2:getPoint())
           timer.scheduleFunction(updateRay2, {}, timer.getTime() + 0.5)
       else
           ray2:destroy()
           IR2:destroy()
       end
end
timer.scheduleFunction(updateRay2, {}, timer.getTime() + 0.5)